OpenMesh::Kernel_OSG::VP Namespace Reference

OpenSG Vertex Properties Adaptors. More...

## Typedefs

GeoPositions
typedef oPropertyT< osg::GeoPositions2d > | GeoPositions2d
| Adaptor for osg::GeoPositions.
typedef oPropertyT< osg::GeoPositions2f > | GeoPositions2f
| Adaptor for osg::GeoPositions.
typedef oPropertyT< osg::GeoPositions3d > | GeoPositions3d
| Adaptor for osg::GeoPositions.
typedef oPropertyT< osg::GeoPositions3f > | GeoPositions3f
| Adaptor for osg::GeoPositions.
typedef oPropertyT< osg::GeoPositions4d > | GeoPositions4d
| Adaptor for osg::GeoPositions.
typedef oPropertyT< osg::GeoPositions4f > | GeoPositions4f
| Adaptor for osg::GeoPositions.
GeoNormals
typedef oPropertyT< osg::GeoNormals3f > | GeoNormals3f
| Adaptor for osg::GeoNormals.
GeoTexCoords
typedef oPropertyT< osg::GeoTexCoords1f > | GeoTexCoords1f
| Adaptor for osg::GeoTexCoords.
typedef oPropertyT< osg::GeoTexCoords2f > | GeoTexCoords2f
| Adaptor for osg::GeoTexCoords.
typedef oPropertyT< osg::GeoTexCoords3f > | GeoTexCoords3f
| Adaptor for osg::GeoTexCoords.
GeoColors
typedef oPropertyT< osg::GeoColors3f > | GeoColors3f
| Adaptor for osg::GeoColors.
typedef oPropertyT< osg::GeoColors3ub > | GeoColors3ub
| Adaptor for osg::GeoColors.
typedef oPropertyT< osg::GeoColors4f > | GeoColors4f
| Adaptor for osg::GeoColors.
typedef oPropertyT< osg::GeoColors4ub > | GeoColors4ub
| Adaptor for osg::GeoColors.

## Detailed Description

OpenSG Vertex Properties Adaptors.